### Class

# Ide FallbackBuildSystem

#### Description

    final class Ide.FallbackBuildSystem : Ide.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- IdeObject
- GObject

#### Implements

- IdeBuildSystem

#### Functions

###### ide_fallback_build_system_new

Creates a new `IdeFallbackBuildSystem`.

Available since: 3.32

#### Instance methods

##### Methods inherited from IdeObject (28)

Please see IdeObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from IdeBuildSystem (13)

###### ide_build_system_get_build_flags_async

No description available.

###### ide_build_system_get_build_flags_finish

No description available.

Available since: 3.32

###### ide_build_system_get_build_flags_for_dir_async

No description available.

###### ide_build_system_get_build_flags_for_dir_finish

No description available.

Available since: 3.32

###### ide_build_system_get_build_flags_for_files_async

This function will get build flags for all files and returns map of file and its build flags as `GHashTable`.

Available since: 3.32

###### ide_build_system_get_build_flags_for_files_finish

No description available.

Available since: 3.32

###### ide_build_system_get_builddir

No description available.

###### ide_build_system_get_display_name

No description available.

###### ide_build_system_get_id

No description available.

###### ide_build_system_get_priority

No description available.

###### ide_build_system_get_project_version

If the build system supports it, gets the project version as configured in the build system’s configuration files.

Available since: 3.32

###### ide_build_system_supports_language

Returns `TRUE` if `self` in it’s current configuration is known to support `language`.

Available since: 41.0

###### ide_build_system_supports_toolchain

Checks whether the build system supports the given toolchain.

Available since: 3.32

#### Properties

###### Ide.FallbackBuildSystem:project-file

The “project-file” property is the primary file representing the projects build system.

Available since: 3.32

##### Properties inherited from IdeObject (2)

###### Ide.Object:cancellable

The “cancellable” property is a `GCancellable` that can be used by operations that will be cancelled when the `IdeObject::destroy` signal is emitted on `self`.

Available since: 3.32

###### Ide.Object:parent

The parent `IdeObject`, if any.

Available since: 3.32

##### Properties inherited from IdeBuildSystem (1)

###### Ide.BuildSystem:project-file

No description available.

#### Signals

##### Signals inherited from IdeObject (1)

###### Ide.Object::destroy

The “destroy” signal is emitted when the object should destroy itself and cleanup any state that is no longer necessary. This happens when the object has been removed from the because it was requested to be destroyed, or because a parent object is being destroyed.

Available since: 3.32

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeFallbackBuildSystemClass {
      IdeObjectClass parent_class;

    }

###### Class members

`parent_class` |
    IdeObjectClass
| No description available.